package {

	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;

	/**
	 * @author Aymeric
	 */
	public class MovieClipTest extends Sprite {
		
		private var _patches:Vector.<MovieClip>;

		public function MovieClipTest() {
			
			addEventListener(Event.ADDED_TO_STAGE, _addedToStage);
		}

		private function _addedToStage(evt:Event):void {
			
			removeEventListener(Event.ADDED_TO_STAGE, _addedToStage);
			
			_patches = new Vector.<MovieClip>();
			
			var mc:MovieClip;
			for (var i:uint = 0; i < 300; ++i) {
				mc = new PatchRun();
				addChild(mc);

				if (Math.random() > 0.5)
					mc.scaleX = -1;

				mc.x = stage.stageWidth * Math.random();
				mc.y = stage.stageHeight * Math.random();

				// Keep the Stats visible
				if (mc.x < 150 && mc.y < 150) {
					mc.x += 150;
					mc.y += 150;
				}

				_patches.push(mc);
			}
			
			addEventListener(Event.ENTER_FRAME, _update);
		}

		private function _update(evt:Event):void {
			
			for each (var patch:MovieClip in _patches) {
				patch.rotation += Math.random() * 180;
				patch.alpha = Math.random();
			}
		}
	}
}
